Welcome!
Get the Jazz Jackrabbit 2 Plus add-on to get the most out of your Jazz Jackrabbit 2 experience.

More information



The JJ2 Plus add-on requires a registered copy of Jazz Jackrabbit 2, version 1.23 or 1.24 (The Secret Files).
If one of the splash screens shown when starting up the game says "LK Avalon," that is additionally not a compatible version of the game.



If you do not have the supported version of Jazz Jackrabbit 2 installed, you can get it from here.



If you have any questions regarding the game and the plus patch,
or if you want to connect with the online community,
feel free to join our Discord server.